<?PHP
sapp_include_once('common.php');

function form_handler() {
	$valid_required = true;

        $valid = true;

        // check ssl

            $ssl = sapp_get_submit_value('ssl');
    switch ($ssl) {
        case 'true':
            sapp_set_ssl(true);
            sapp_set_param('ssl','https');
            break;

        default:
            sapp_set_ssl(false);
            sapp_set_param('ssl','http');
            break;
    }


        // check install_prefix

            $install_prefix = sapp_get_submit_value('install_prefix');

    if (in_array($install_prefix, array(".", "/", "./")))
    {
        $ret = (function_exists('sapp_check_install_prefix'))? sapp_check_install_prefix(SITEAPP_PREFIX_ROOT) : false;
        if (false === $ret || !in_array($ret, array(SITEAPP_DIR_NOT_EXISTS, SITEAPP_DIR_USED_BY_UNKNOWN)))
        {
            sapp_set_wrong('install_prefix', msg('install_prefix__invalid_name'));
            $valid = false;
        }
    }

    switch (sapp_set_install_prefix($install_prefix)) {

        case SITEAPP_DIR_NOT_EXISTS:
            break;

        case SITEAPP_DIR_USED_BY_UNKNOWN:
            sapp_set_wrong('install_prefix', msg('install_prefix__already_exists'));
            $valid = false;
            break;			

        case SITEAPP_DIR_INVALID_NAME:
            sapp_set_wrong('install_prefix', msg('install_prefix__invalid_name'));
            $valid = false;
            break;

        case SITEAPP_DIR_USED_BY_SITEAPP:
            sapp_set_wrong('install_prefix', msg('install_prefix__used_by_sapp'));
            $valid = false;
            break;
    }


	if (null === ($gtchat_admin_confirm = sapp_get_submit_value('gtchat_admin_confirm')))
		$gtchat_admin_confirm = '';

	if (null === ($gtchat_admin_passwd = sapp_get_submit_value('gtchat_admin_passwd'))) {
		$gtchat_admin_passwd = '';
		sapp_set_wrong('gtchat_admin_passwd', msg('password__empty'));
		$valid_required = false;
	} else if (!check_sys_passwd('admin', $gtchat_admin_passwd)) {
		sapp_set_wrong('gtchat_admin_passwd', msg('invalid_value'));
		$valid_required = false;
	}

	sapp_set_param('gtchat_admin_passwd', $gtchat_admin_passwd);
	sapp_set_param('gtchat_admin_confirm', $gtchat_admin_confirm);
	if ($gtchat_admin_passwd != $gtchat_admin_confirm) {
		sapp_set_wrong('gtchat_admin_passwd', msg('password__not_match'));
		$valid_required = false;
		sapp_set_param('gtchat_admin_confirm', '');
	}

	$email = sapp_get_param('gtchat_admin_email');
	$valid_required &= check_and_set_required('gtchat_admin_email', 'check_email');

	$valid_required &= check_and_set_required('gtchat_language');
	$valid_required &= check_and_set_required('gtchat_colorscheme');
        $gtchat_welcome_message = sapp_get_submit_value('gtchat_welcome_message');
        sapp_set_param('gtchat_welcome_message_ru', iconv("UTF-8", "Windows-1251", $gtchat_welcome_message));
	$valid_required &= check_and_set_required('gtchat_welcome_message');

	if (!$valid || !$valid_required) {
		sapp_set_error(msg('some_parameters_are_wrong'));
		// return the current step number
		return 1;
	}


        // set application URL
        $inst_pref = sapp_get_param('install_prefix');
        $start_path = "";
        if(false){
            sapp_set_param('application_url', "cgi-bin/${inst_pref}${start_path}");
        }
        else{
            sapp_set_param('application_url', "${inst_pref}${start_path}");
        }
        return 2;
}
?>
